DECLARE @SenderID decimal(18,0)
DECLARE @MessageDateTime datetime
DECLARE @MessageBudy nvarchar(250)
DECLARE @ReceiverUserID decimal(18,0)

SET @SenderID = 3
SET @MessageDateTime = (SELECT GETDATE())
SET @MessageBudy = ' Hello My Name Is Administrator. . .  '
SET @ReceiverUserID = 1
-- بررسی اینکه آیا کاربر توسط دریافت کننده پیام بلاک شده یا خیر
IF NOT EXISTS(SELECT [BlockedUserName]   FROM [tblBlockedUsers] WHERE [BlockedUserName] = @SenderID AND [BlockedRequester] = @ReceiverUserID)
	BEGIN 
		INSERT INTO [tblMessagesPrivate]
				   ([SenderID]
				   ,[MessageDateTime]
				   ,[MessageBudy]
				   ,[ReceiverUserID])
			 VALUES
				   (@SenderID
				   ,@MessageDateTime
				   ,@MessageBudy
				   ,@ReceiverUserID)
	END
ELSE
	BEGIN
	    PRINT 'شما توسط دریافت کننده پیام بلاک شده اید'
	END
GO
